Subject: bug#33647: First `guix pull' behaves unexpectedly

From: Ludovic Courtès <[email-masked]>
Date: Wed, 23 Jan 2019 10:51:01 +0100

Hi Diego,

Diego Nicola Barbato <[email-masked]> skribis:

>> Thanks for the heads-up.  Commit
>> 3bbd6919bd84b76686d1aa626ba861faf3fc8ceb changes ‘guix pull’ to display
>> a hint in this case.
>>
>> Ludo’.
>
> I just tried to check if this worked.  I installed GuixSD in a VM (with
> the 0.16.0 installer), rebooted, and ran ‘guix pull’
> (commit d1dfcc7c1b38d816dddc2868917ba490db7e7c3b).  It did not print any
> hint (I have attached the bash session).
> Will this change only take effect once the installer is updated?

Yes, since the change is in ‘guix pull’ itself, the 0.16.0 ‘guix pull’
won’t display the message.  So you’d have to run the ‘guix pull’ you
just obtained from ‘guix pull’ (ah!) to see the message.

HTH,
Ludo’.